/*
 *   Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License").
 *   You may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.SCHEMA_URI = exports.Categories = void 0;
var Categories;
(function (Categories) {
    Categories["container"] = "Container";
    Categories["image"] = "Image";
    Categories["text"] = "Text";
    Categories["video"] = "Video";
    Categories["sequence"] = "Sequence";
    Categories["scrollView"] = "ScrollView";
    Categories["frame"] = "Frame";
    Categories["touchWrapper"] = "TouchWrapper";
    Categories["pager"] = "Pager";
    Categories["vectorGraphic"] = "VectorGraphic";
    Categories["aboutComponent"] = "About Component";
    Categories["width"] = "Width";
    Categories["height"] = "Height";
    Categories["padding"] = "Padding";
    Categories["alignmentAndPosition"] = "Alignment and Position";
    Categories["gridSequence"] = "GridSequence";
    Categories["editText"] = "EditText";
    Categories["extension"] = "ExtensionComponent";
})(Categories = exports.Categories || (exports.Categories = {}));
exports.SCHEMA_URI = 'https://json-schema.org/draft/2019-09/schema';
//# sourceMappingURL=IJsonSchema.js.map