import { ValidationSeed } from './ValidationSeed';
import { IValidationInfo } from '../IValidationInfo';
/**
 * Interface used by all validators.
 * @export
 * @class IValidator
 */
export interface IValidator {
    /**
     * Validate given object.
     * @param validationSeed seed to validate.
     */
    validate(seed: ValidationSeed): IValidationInfo[];
}
