import { IValidationInfo } from '../../IValidationInfo';
import { Seed } from '../ValidationSeed';
/**
 * Check whether have a specific field.
 * @export
 * @class MustHaveField
 */
export declare class MustHaveField {
    /**
     * Entrance method to apply the rule.
     * @param sourceObject object to parse.
     * @param collectors used to collect all validation info.
     * @param keys
     */
    static applyRule(sourceObject: Seed, keys: string[], collectors: IValidationInfo[]): void;
}
