import { IValidationInfo } from '../../IValidationInfo';
import { Seed } from '../ValidationSeed';
/**
 * Check whether value is absolute or relative value.
 * @export
 * @class NotAutoRule
 */
export declare class NotAutoRule {
    /**
     * Entrance method to apply the rule.
     * @param sourceObject object to parse.
     * @param key key to parse.
     * @param collectors used to collect all validation info.
     */
    static applyRule(sourceObject: Seed, key: string, collectors: IValidationInfo[], context?: string): void;
}
