import { IValidationInfo } from '../../IValidationInfo';
import { Seed } from '../ValidationSeed';
/**
 * Validaiton Rule to parse out relative value.
 * @export
 * @class NotRelativeRule
 */
export declare class NotRelativeRule {
    /**
     * Entrance method to apply the rule.
     * @param sourceObject object to parse.
     * @param key key to parse.
     * @param collectors used to collect all validation info.
     */
    static applyRule(sourceObject: Seed, key: string, collectors: IValidationInfo[], context?: string, overrideMessage?: string): void;
}
