import { IValidator } from '../IValidator';
import { ValidationSeed } from '../ValidationSeed';
import { IValidationInfo } from '../../IValidationInfo';
/**
 * ContainerComponentValidator.
 * @export
 * @class ContainerComponentValidator.
 */
export declare class ContainerComponentValidator implements IValidator {
    /**
     * Validate given object.
     * @param validationSeed seed to validate.
     */
    validate(validationSeed: ValidationSeed): IValidationInfo[];
}
