import { IValidator } from '../IValidator';
import { ValidationSeed } from '../ValidationSeed';
import { IValidationInfo } from '../../IValidationInfo';
/**
 * Validator to validate Frame component.
 * @export
 * @class FrameComponentValidator
 */
export declare class FrameComponentValidator implements IValidator {
    /**
     * Validate given object.
     * @param validationSeed seed to validate.
     */
    validate(validationSeed: ValidationSeed): IValidationInfo[];
}
