"use strict";
/*
 *   Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License").
 *   You may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReinflateCommandJSONSchema = exports.SelectCommandJSONSchema = exports.FinishCommandJSONSchema = exports.SpeakListCommandJSONSchema = exports.SpeakItemCommandJSONSchema = exports.SetValueCommandJSONSchema = exports.SetStateCommandJSONSchema = exports.SetPageCommandJSONSchema = exports.SetFocusCommandJSONSchema = exports.SequentialCommandJSONSchema = exports.SendEventCommandJSONSchema = exports.ScrollToIndexCommandJSONSchema = exports.ScrollToComponentCommandJSONSchema = exports.ScrollCommandJSONSchema = exports.PlayMediaCommandJSONSchema = exports.ParallelCommandJSONSchema = exports.OpenURLCommandJSONSchema = exports.IdleCommandJSONSchema = exports.ControlMediaCommandJSONSchema = exports.ClearFocusCommandJSONSchema = exports.AutoPageCommandJSONSchema = exports.AnimationItemCommandJSONSchema = exports.AVGTextItemJSONSchema = exports.AVGPathItemJSONSchema = exports.AVGGroupItemJSONSchema = exports.ExtensionComponentJSONSchema = exports.EditTextJSONSchema = exports.GridSequenceJSONSchema = exports.VectorGraphicJSONSchema = exports.PagerJSONSchema = exports.TouchWrapperJSONSchema = exports.VideoJSONSchema = exports.TextJSONSchema = exports.SequenceJSONSchema = exports.ScrollViewJSONSchema = exports.ImageJSONSchema = exports.FrameJSONSchema = exports.ContainerJSONSchema = void 0;
exports.ContainerJSONSchema = require("./Container");
exports.FrameJSONSchema = require("./Frame");
exports.ImageJSONSchema = require("./Image");
exports.ScrollViewJSONSchema = require("./ScrollView");
exports.SequenceJSONSchema = require("./Sequence");
exports.TextJSONSchema = require("./Text");
exports.VideoJSONSchema = require("./Video");
exports.TouchWrapperJSONSchema = require("./TouchWrapper");
exports.PagerJSONSchema = require("./Pager");
exports.VectorGraphicJSONSchema = require("./VectorGraphic");
exports.GridSequenceJSONSchema = require("./GridSequence");
exports.EditTextJSONSchema = require("./EditText");
exports.ExtensionComponentJSONSchema = require("./ExtensionComponent");
exports.AVGGroupItemJSONSchema = require("./graphics/AVGGroupItem");
exports.AVGPathItemJSONSchema = require("./graphics/AVGPathItem");
exports.AVGTextItemJSONSchema = require("./graphics/AVGTextItem");
exports.AnimationItemCommandJSONSchema = require("./commands/AnimationItemCommand");
exports.AutoPageCommandJSONSchema = require("./commands/AutoPageCommand");
exports.ClearFocusCommandJSONSchema = require("./commands/ClearFocusCommand");
exports.ControlMediaCommandJSONSchema = require("./commands/ControlMediaCommand");
exports.IdleCommandJSONSchema = require("./commands/IdleCommand");
exports.OpenURLCommandJSONSchema = require("./commands/OpenURLCommand");
exports.ParallelCommandJSONSchema = require("./commands/ParallelCommand");
exports.PlayMediaCommandJSONSchema = require("./commands/PlayMediaCommand");
exports.ScrollCommandJSONSchema = require("./commands/ScrollCommand");
exports.ScrollToComponentCommandJSONSchema = require("./commands/ScrollToComponentCommand");
exports.ScrollToIndexCommandJSONSchema = require("./commands/ScrollToIndexCommand");
exports.SendEventCommandJSONSchema = require("./commands/SendEventCommand");
exports.SequentialCommandJSONSchema = require("./commands/SequentialCommand");
exports.SetFocusCommandJSONSchema = require("./commands/SetFocusCommand");
exports.SetPageCommandJSONSchema = require("./commands/SetPageCommand");
exports.SetStateCommandJSONSchema = require("./commands/SetStateCommand");
exports.SetValueCommandJSONSchema = require("./commands/SetValueCommand");
exports.SpeakItemCommandJSONSchema = require("./commands/SpeakItemCommand");
exports.SpeakListCommandJSONSchema = require("./commands/SpeakListCommand");
exports.FinishCommandJSONSchema = require("./commands/FinishCommand");
exports.SelectCommandJSONSchema = require("./commands/SelectCommand");
exports.ReinflateCommandJSONSchema = require("./commands/ReinflateCommand");
__exportStar(require("./IJsonSchema"), exports);
//# sourceMappingURL=index.js.map