import { IJsonSchema } from '../assets/IJsonSchema';
/**
 * This class is used to generate json schema for custom component.
 */
export declare class CustomComponentJsonSchemaGenerator {
    /**
     * Generate json schema based on the parameters.
     * @param data array of parameters.
     */
    static generate(data: any[]): IJsonSchema;
    private static generalizeParameter;
}
/**
 * Template for custom component json schema.
 */
export declare function CUSTOM_COMPONENT_SCHEMA_TEMPLATE(): IJsonSchema;
