/**
 * The Apl Component definition with full information
 */
export interface IAplComponent {
    /**
     * the component object
     */
    jsonObject: object;
    /**
     * APL Component type. For Customized Component, it is undefined
     */
    componentType: string | undefined;
    /**
     * Component root parent for mixin
     */
    parentComponent: object;
    /**
     * Component root parent type for mixin
     */
    parentComponentType: string;
    /**
     * Component JSON_PATH
     */
    jsonPath: string;
}
