export declare let packageJson: {
    "alexa-gui": {
        document: any;
    };
    "alexa-styles-classic": {
        document: {
            type: string;
            version: string;
            import: {
                name: string;
                version: string;
            }[];
            resources: ({
                description: string;
                colors: {
                    colorTextPrimary: string;
                };
                when?: undefined;
                dimensions?: undefined;
            } | {
                description: string;
                when: string;
                colors: {
                    colorTextPrimary: string;
                };
                dimensions?: undefined;
            } | {
                description: string;
                dimensions: {
                    textSizeBody: number;
                    textSizePrimary: number;
                    textSizeSecondary: number;
                    textSizeSecondaryHint: number;
                    spacingThin?: undefined;
                    spacingSmall?: undefined;
                    spacingMedium?: undefined;
                    spacingLarge?: undefined;
                    spacingExtraLarge?: undefined;
                    marginTop?: undefined;
                    marginLeft?: undefined;
                    marginRight?: undefined;
                    marginBottom?: undefined;
                };
                colors?: undefined;
                when?: undefined;
            } | {
                description: string;
                dimensions: {
                    spacingThin: number;
                    spacingSmall: number;
                    spacingMedium: number;
                    spacingLarge: number;
                    spacingExtraLarge: number;
                    textSizeBody?: undefined;
                    textSizePrimary?: undefined;
                    textSizeSecondary?: undefined;
                    textSizeSecondaryHint?: undefined;
                    marginTop?: undefined;
                    marginLeft?: undefined;
                    marginRight?: undefined;
                    marginBottom?: undefined;
                };
                colors?: undefined;
                when?: undefined;
            } | {
                description: string;
                dimensions: {
                    marginTop: number;
                    marginLeft: number;
                    marginRight: number;
                    marginBottom: number;
                    textSizeBody?: undefined;
                    textSizePrimary?: undefined;
                    textSizeSecondary?: undefined;
                    textSizeSecondaryHint?: undefined;
                    spacingThin?: undefined;
                    spacingSmall?: undefined;
                    spacingMedium?: undefined;
                    spacingLarge?: undefined;
                    spacingExtraLarge?: undefined;
                };
                colors?: undefined;
                when?: undefined;
            })[];
        };
    };
    "alexa-styles-extend": {
        document: {
            type: string;
            version: string;
        };
    };
    anything: {
        document: {
            type: string;
            version: string;
        };
    };
};
export declare const INTERNAL_ALEXA_GUI_SOURCE: {
    type: string;
    version: string;
    import: {
        name: string;
        version: string;
    }[];
};
