import { IValidator } from '../IValidator';
import { ValidationSeed } from '../ValidationSeed';
import { IValidationInfo } from '../../IValidationInfo';
/**
 * ComponentValidator.
 * @export
 * @class ComponentValidator.
 */
export declare class ComponentValidator implements IValidator {
    private ROOT_COMPONENT_TYPE;
    /**
     * Validate given object.
     * @param validationSeed seed to validate.
     */
    validate(validationSeed: ValidationSeed): IValidationInfo[];
    private childNotRelativeWhenParentIsAuto;
}
