import { IValidator } from '../IValidator';
import { ValidationSeed } from '../ValidationSeed';
import { IValidationInfo } from '../../IValidationInfo';
/**
 * MultiChildComponentValidator.
 * @export
 * @class MultiChildComponentValidator.
 */
export declare class MultiChildComponentValidator implements IValidator {
    private TYPE_STRING;
    private DATA_STRING;
    private multiChildComponentTypes;
    /**
     * Validate given object.
     * @param validationSeed seed to validate.
     */
    validate(validationSeed: ValidationSeed): IValidationInfo[];
}
