import { IValidator } from '../IValidator';
import { ValidationSeed } from '../ValidationSeed';
import { IValidationInfo } from '../../IValidationInfo';
/**
 * SequenceComponentValidator.
 * @export
 * @class SequenceComponentValidator
 */
export declare class SequenceComponentValidator implements IValidator {
    /**
     * Validate given object.
     * @param validationSeed seed to validate.
     */
    validate(validationSeed: ValidationSeed): IValidationInfo[];
    private getCheck;
}
